<?php
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';
$set['title']='WaP EMPIRE';
include_once '../../sys/inc/thead.php';
title();
aut();

if(!isset($user) || $user['id']!='1'){
  header("Location:/index.php");
  break;
}
$mod=htmlspecialchars(trim($_GET['mod']));
if($mod==''){


echo "<a href='?mod=addp'>Добавить постройки</a><br/>";
echo "<a href='?mod=addb'>Начислить ресурсов пользователю</a><br/>";
}
if($mod=='addp'){
if(isset($_POST['submit'])){
  $eda=abs(intval($_POST['eda']));
  $zoloto=abs(intval($_POST['zoloto']));
  $derevo=abs(intval($_POST['derevo']));
  $gelezo=abs(intval($_POST['gelezo']));
  $eda_abs=abs(intval($_POST['eda_abs']));
  $zoloto_abs=abs(intval($_POST['zoloto_abs']));
  $derevo_abs=abs(intval($_POST['derevo_abs']));
  $gelezo_abs=abs(intval($_POST['gelezo_abs']));
  $vek=abs(intval($_POST['vek']));
  $voin=abs(intval($_POST['voin']));
  $push=abs(intval($_POST['push']));
  $time_h=abs(intval($_POST['time_h']));
  $name=my_esc($_POST['name']);

  mysql_query("INSERT INTO `empire_zdan`(`eda`, `zoloto`, `derevo`, `gelezo`, `vek`, `name`, `eda_abs`, `zoloto_abs`, `derevo_abs`, `gelezo_abs`, `time_h`, `voin`, `push`) VALUES('$eda', '$zoloto', '$derevo', '$gelezo', '$vek', '$name', '$eda_abs', '$zoloto_abs', '$derevo_abs', '$gelezo_abs', '$time_h', '$voin', '$push')");
  msg('Успешно');
}
echo "Добавление здания<form method='post' action='?mod=addp&amp;$passgen'>
<br/>Еда(прибыль) <br/><input name='eda'/>
<br/>Золото(прибыль) <br/><input name='zoloto'/>
<br/>Дерево(прибыль) <br/><input name='derevo'/>
<br/>Железо(прибыль) <br/><input name='gelezo'/>
<br/>Век <br/><input name='vek'/>
<br/>Еда(ст.постройки) <br/><input name='eda_abs'/>
<br/>Золото(ст.постройки) <br/><input name='zoloto_abs'/>
<br/>Дерево(ст.постройки) <br/><input name='derevo_abs'/>
<br/>Железо(ст.постройки) <br/><input name='gelezo_abs'/>
<br/>Название <br/><input name='name'/>
<br/>Воинов <br/><input name='voin'>
<br/>Пушек <br/><input name='push'>
<br/><input type='submit' value='Добавить' name='submit'/>
</form>                                                   ";
}
if($mod=='addb'){
  if(isset($_POST['submit'])){
     $eda=abs(intval($_POST['eda']));
  $zoloto=abs(intval($_POST['zoloto']));
  $derevo=abs(intval($_POST['derevo']));
  $gelezo=abs(intval($_POST['gelezo']));
  $id_p=abs(intval($_POST['id_p']));
    mysql_query("UPDATE `empire` SET `eda`=`eda`+$eda , `zoloto`=`zoloto`+$zoloto , `derevo`=`derevo`+$derevo , `gelezo`=`gelezo`+$gelezo WHERE `id_u`='".$id_p."' LIMIT 1");
    msg('Вы успешно начислили ресурсов');
  }
  echo "Добавление ресурсов<form method='post' action='?mod=addb&amp;$passgen'>
<br/>Еда <br/><input name='eda'/>
<br/>Золото <br/><input name='zoloto'/>
<br/>Дерево <br/><input name='derevo'/>
<br/>Железо <br/><input name='gelezo'/>
<br/>ID пользователя <br/><input name='id_p'>
<br/><input type='submit' value='Добавить' name='submit'/>
</form>                                                   ";

}

echo "<a href='index.php'>В игру</a><br/>";
include_once '../../sys/inc/tfoot.php';
?>